import os

def getenv_in(key, *vals):
    val = os.getenv(key)
    if val not in vals:
        raise ValueError("Got %s for %s, expected one of %s" % (repr(val), key, vals))
    return val

def file_exists(path):
    if not os.path.isfile(path):
        raise ValueError("Required file %s not found" % path)

ENVIRONMENT_TYPE = getenv_in("ENVIRONMENT_TYPE", "DEV", "PROD")

SECRET_KEY = os.environ["SECRET_KEY"]
AWS_S3_ENDPOINT_URL = os.environ["AWS_S3_ENDPOINT_URL"]
BUCKET_NAME = os.environ["BUCKET_NAME"]
INVENTORY_ASSETS_BASE_URL = os.environ["INVENTORY_ASSETS_BASE_URL"]
MONGO_URI = os.environ["MONGO_URI"]
MEMBERS_HOST = os.environ["MEMBERS_HOST"]
SLACK_VERIFICATION_TOKEN = os.environ["SLACK_VERIFICATION_TOKEN"] # used to verify (deprecated) incoming requests from slack
SLACK_DOORLOG_CALLBACK = os.environ["SLACK_DOORLOG_CALLBACK"] # used for sending logs to private channel
SLACK_INVENTORY_CALLBACK = os.environ["SLACK_INVENTORY_CALLBACK"] # used for sending logs to public channel
INVENTORY_API_KEY = os.environ["INVENTORY_API_KEY"]
